# -*- coding: utf-8 -*-

import sys
import PyQt5.QtCore as core
import PyQt5.QtWidgets as widgets
import PyQt5.QtGui as gui
import PyQt5.uic as uic
import types

app = widgets.QApplication(sys.argv)
w = uic.loadUi("mainwindow.ui")
d = uic.loadUi("eisbestellung.ui")
d2 = uic.loadUi("zeichnen.ui")

def clickBestelleEis():
    #d.lineEditErbeere.setText("abcde")
    if d.exec_() == widgets.QDialog.Accepted:
        print(d.lineEditErbeere.text() + " " + str(d.radioButtonBecher.isChecked()))
    
def dateiÖffnen():
    filename = widgets.QFileDialog.getOpenFileName(filter = "Textdateien (*.txt)")[0]
    if filename != "":
        print(filename)
    else:
        print("Abgebrochen")

def zeichnungÖffnen():
    d2.show()
    
def handleEvents(self, event):
    if event.type() == core.QEvent.Paint:
        painter = gui.QPainter()
        painter.begin(self)
        painter.drawLine(0, 0, 100, d2.horizontalSlider.sliderPosition())
        painter.end()
    return True
        
def sliderValueChange():
    d2.widget.update()    
    
w.pushButtonBestelleEis.clicked.connect(clickBestelleEis)
w.actionEis_bestellen.triggered.connect(clickBestelleEis)
w.actionOeffnen.triggered.connect(dateiÖffnen)
w.actionNeu.triggered.connect(zeichnungÖffnen)
d2.widget.event = types.MethodType(handleEvents, d2.widget)
d2.horizontalSlider.valueChanged.connect(sliderValueChange)

w.show()
sys.exit(app.exec_())